pinot (1.21-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + use gio (not dbus-glib);
      closes: bug#955937
    + use PKG_PROG_PKG_CONFIG;
      closes: bug#951559
    + fix check for <sys/xattr.h>;
      closes: 953912

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * suggest apache2 and xapian-omega,
    and mention in long description their need for plugin Xapian Omega
  * stop build-depend
    on libboost-system-dev libdbus-glib-1-dev libattr1-dev;
    build-depend on libgtkmm-3.0-dev (not libgtkmm-2.4-dev);
    tighten build-dependency on libxapian-dev
  * relax to build-depend unversioned on libexiv2-dev:
    needed version satisfied in all supported releases of Debian
  * enable support for libarchive and libchm;
    build-depend on libarchive-dev libchm-dev
  * recommend upower
  * add patch 2001 to use external helper tool rst2html
    (not rst2txt unavailable in Debian)
  * update build routines
    to work around missing upstream source file ChangeLog
  * enable Boost.pool

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2022 04:03:41 +0100

pinot (1.10-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * update Vcs-* fields: git-based maintenance moved to Salsa

  [ Jonas Smedegaard ]
  * simplify packaging:
    + drop file control.in README.source,
      and stop build-depend on devscripts,
      unused since 1.05-2
    + drop NEWS file, containing only ancient news
    + stop enable hardening options enabled bydefault nowadays
    + stop build-depend on dh-buildinfo
    + stop build-conflict against ancient libtextcat-dev
    + stop fallback-build-depend on ancient libgmime-2.6-dev
  * update git-buildpackage config:
    + filter any .git* files
    + use DEP-14 branch names debian/latest upstream/latest
      (not master upstream)
    + add usage comment
  * update watch file:
    + use format 4
    + track tags (not releases)
    + use substitution strings
    + add filenamemangle
    + set dversionmangle=auto
    + add usage comment
  * update copyright info:
    + list Github issue tracker as preferred upstream contact
    + update to use SPDX license shortnames
    + drop unnecessary disclaimers from FSFULLR licenses
    + fix cover files licensed as AFL-2.0
      (as alternative to LGPL-2+)
    + add License-Grant
    + merge Files sections for upstream files with same License-Grant
    + use Reference field;
      add lintian overrides
    + sort License sections alphabetically
    + sort Files sections with right-truncating wildcards first,
      then left-truncating, and then neither
      (except packaging files listed last)
    + sort authors by name, and normalize indentation
    + update coverage
  * use semantic newlines in long description and copyright fields
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.6.0
  * use package section utils (not x11)
  * add source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2022 01:06:01 +0100

pinot (1.10-1) unstable; urgency=medium

  * New upstream release
    + Drop all patches as they're all now included upstream.
    + Add libboost-system-dev to build-dependencies.
  * debian/watch: Fix incorrect pattern guessed prior to first release from
    github.
  * debian/copyright: Remove invalid tab character from licence text.
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Mon, 17 Feb 2020 00:10:05 +1300

pinot (1.05-5) unstable; urgency=medium

  * Acknowledge unjustified NMU.
  * Cherry-pick fix from upstream to fix FTBFS with libexiv2-27 - new patch
    handle-newer-exiv2.patch.  Thanks to Peter Green for identifying the
    relevant patch.  (Closes: #950402)
  * debian/control: Update to debhelper compat 12.  Only visible effect is
    that the debug symbols are now compressed and so much smaller.
  * debian/control,debian/compat: Use new debhelper-compat dependency
    mechanism to specify compat version.
  * debian/control: Note conformance with policy 4.5.0.

 -- Olly Betts <olly@survex.com>  Fri, 07 Feb 2020 13:45:54 +1300

pinot (1.05-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary alternative Recommends on python-docutils; Closes: #945722

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Jan 2020 14:45:31 -0500

pinot (1.05-4) unstable; urgency=medium

  * debian/control: Update to recommending python3-docutils | python-docutils
    for rst2html.  (Closes: #945722)

 -- Olly Betts <olly@survex.com>  Thu, 28 Nov 2019 14:16:46 +1300

pinot (1.05-3) unstable; urgency=medium

  * debian/control: Note conformance with policy 4.4.1.
  * debian/control: Specify "Rules-Requires-Root: no".
  * debian/rules: Enable all hardening options since we're likely to be
    handling downloaded files.
  * Update to use gmime 3.x, new patch gmime3.patch (Closes: #867355)

 -- Olly Betts <olly@survex.com>  Fri, 18 Oct 2019 16:26:58 +1300

pinot (1.05-2) unstable; urgency=medium

  * Add myself as co-maintainer with maintainer's agreement.
  * Convert from cdbs to dh.
  * Cherry-pick fix from upstream for OpenSSL 1.1 and newer glib,
    new patch: openssl-1.1+new-glib.patch (Closes: #828503)
  * Avoid needlessly linking Xapian backend with OpenSSL, new patch:
    fix-gpl-openssl-clash.patch (Closes: #833692)
  * debian/control,debian/copyright,debian/watch: Update for upstream's
    move to github.
  * debian/control: Switch dbus-x11 dependency to default-dbus-session-bus |
    dbus-session-bus. (Closes: #836287)
  * Update to debhelper compat 11.
    - Enables parallel building. (Closes: #759122)
  * Update standards-version to 4.1.4:
    - debian/menu: Drop obsolete menu file.
  * Drop workaround for compilers which don't default to C++11.
  * debian/copyright: Use https for format URL.
  * Drop patch which is no longer needed: boost1.48.patch
  * debian/control: Comment out old collab-maint Vcs info.
  * debian/NEWS: Remove asterisk to placate lintian.

 -- Olly Betts <olly@survex.com>  Thu, 14 Jun 2018 16:47:38 +1200

pinot (1.05-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Version dependency on libxapian-dev for Xapian 1.4 transition.
  * Fix to build with GCC6, new patch: fix-ftbfs-with-gcc6.patch
    (Closes: #812165)
  * Fix segfault on startup due to hard-coded mangled symbol name,
    which has changed with C++11.  New patch:
    fix-hardcoded-mangled-symbol-name.patch

 -- Olly Betts <olly@survex.com>  Fri, 30 Sep 2016 15:05:23 +1300

pinot (1.05-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC5 by adding -std=gnu++11 to CXXFLAGS. (Closes: #778063)

 -- Olly Betts <olly@survex.com>  Mon, 07 Sep 2015 17:58:50 +1200

pinot (1.05-1) unstable; urgency=low

  [ upstream ]
  * New release:
    + run rst2html on RST files, if available, and if RST files are
      detected as such.
    + better mbox parts extraction.
    + dropped unac in favour of own code, resulting in faster indexing.
    + pinot-index --override MIMETYPE:EXTENSION overrides MIME type
      detection based on files extensions.
    + turn memory pooling off by default to avoid issues with newer
      boost.
    + Updated localizations.
    + fix stripping of diacritics.
    + stem subject terms.
    + fixes to abstract generation, CJKV tokenization.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Recommend (not suggest) all external helper tools, except rpm.
    + Fix suggest file (needed to crawl rpm files).
    + Recommend python-docutils and bzip2.
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.
    + Stop fallback-recommending xpdf-utils: obsolete even in stable.
    + Declare binary package relations in rules file.
    + Document suggested packages in long description.
  * Bump dephelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Use anonscm.debian.org URL for control file Vcs-Git field.
  * Update copyright file: Fix use comment pseudo-paragraphs to obey
    silly restrictions of copyright format 1.0.
  * Update copyright file:
    + Update copyright holders and coverage.
    + Fix merge double copyright fields.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Mar 2013 15:12:54 +0100

pinot (1.0-1) unstable; urgency=low

  * New upstream release

  * Drop patch to link against libexttextcat: Adopted upstream.
  * Stop stripping deskbar-applet: Dropped upstream.
  * Relax build-dependency on libexiv2-dev.
  * Extend some copyright coverage, and update email of main author.
  * Extend copyright coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jun 2012 05:49:23 +0200

pinot (0.98-2) unstable; urgency=low

  [ Rene Engelhard ]
  * Add patch to actually link with -lexttextcat (not -ltextcat).
  * Build-depend on libexttextcat-dev (not libtextcat-dev), and
    build-conflicts against libtextcat-dev.

  [ Jonas Smedegaard ]
  * Readd libgmime-2.4-dev as fallback build-dependency, to ease
    backporting.
  * Bump standards-version to 3.9.3.
  * Refresh patches with shortening quilt options -pab --no-index
    --no-timestamps, and rewrap DEP3 headers at 72 chars.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Tidy Files paragraph of Boost patch, and list its license as
      separate paragraph.
  * Update upstream URLs.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Build-depend on and use dh-autoreconf, as we patch configure.in.
  * Release for unstable: Recent enough exiv2 is finally released there.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 May 2012 22:40:02 +0200

pinot (0.98-1) experimental; urgency=low

  * New upstream release.
    Closes: bug#528009, #610092.
    + Supports lib(ext)textcat 3.
      Closes: bug#644287. Thanks to Rene Engelhard.
  * Update copyright file:
    + Rewrite using Subversion rev.174 of draft DEP5 format.
    + Extend copyright years.
    + Drop referencing no longer included Google sources.
    + Fix mark a section as a comment (not license).
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Bump debhelper compatibility level to 7.
  * Stop explicitly force >2TB file support: handled upstream now.
  * Relax to generally build-depend unversioned: All satisfied even in
    oldstable.
  * Stop suppress optional build-dependencies:
    + Build-depend on devscripts.
    + Tighten build-dependency on cdbs.
  * Relax depend unversioned on deskbar-applet: Satisfied even in
    oldstable.
  * Fix stop build-depending on python-support (was needed only for
    dropped package deskbar-plugins-pinot).
  * Bump policy compliance to standards-version 3.9.2.
  * Extend copyright years of packaging, and refer to FSF website (not
    postal address).
  * Build-depend on libexiv2-dev (and not libexif-dev).
  * Release for experimental (where new enough exiv2 is available).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 23:59:04 +0700

pinot (0.96-1.3) unstable; urgency=low

  * Non-maintainer upload with Jonas' consent.
  * Build against gmime 2.6. Closes: #664003

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 14:19:54 +0100

pinot (0.96-1.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * patches/boost1.48.patch: New. Include code from Boost singleton.hpp
    header, obsoleted in Boost 1.48.  Closes: #652786.

 -- Steve M. Robbins <smr@debian.org>  Mon, 30 Jan 2012 01:11:28 -0600

pinot (0.96-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop deskbar-plugins-pinot package as deskbar-applet has been removed.
    Closes: #645542

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2011 00:53:07 +0200

pinot (0.96-1) unstable; urgency=low

  * New upstream release.
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Declare package relations recursively-expanded.
  * Drop all patches: Adopted upstream.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add source local-options.
  * Extend years in licensing header of rules file.
  * Update copyright file:
    + Rewrite in draft DEP5 v135 format.
    + Update copyright years.
  * Ease backporting:
    + Only optionally-include upstream-tarball.mk.
    + Suppress optional build-dependencies.
  * Relax build-dependency on cdbs (needed version available in stable).
  * Build-depend on libattr1-dev for extended attributes support.
  * Stop build-depending on unused gsoap.
  * Bump standards-version to 3.9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Dec 2010 17:29:51 +0100

pinot (0.95-1) unstable; urgency=low

  * New upstream release.
  * Add NEWS entry about possible need of reindexing (as mentioned in
    upstream NEWS file).
  * Update local cdbs snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Switch to source format 3.0 (quilt). Drop use of cdbs snippet
    patchsystem-quilt.mk. Stop build-depending on quilt or patchutils.
    Adjust README.source.
  * Restructure patches to DEP3 format: Adjust meta-info; drop leading
    numbers and README, unfuzz.
  * Bump policy compliancy to Standards Version 3.8.3.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Nov 2009 12:54:20 +0100

pinot (0.94-1) unstable; urgency=low

  * New upstream release.
  * Drop unneeded DM-Upload-Allowed stanza from debian/control.
  * Simplify watch file (directly use download.berlios.net), and add
    comment hinting about its use.
  * Enable local CDBS script upstream-tarball.mk.
  * Build-depend on libgmime-2.4-dev (and not libgmime-2.0-2-dev).
  * Tighten build-dependency on cdbs.
  * Drop use of noop dh_desktop, thanks to lintian.
  * Bump policy compliance to Standards-Verstrol.in.1, thanks to
    lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Jun 2009 19:31:24 +0200

pinot (0.93-3) unstable; urgency=low

  * Define FILE_OFFSET_BITS=64 in CPPFLAGS (not CFLAGS). Closes:
    bug#530572 (hopefully for real this time).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jun 2009 23:50:54 +0200

pinot (0.93-2) unstable; urgency=low

  * Define FILE_OFFSET_BITS=64 in CFLAGS to fix >2TB file support.
    Closes: bug#530572, thanks to Fabrice Colin.
  * Add proper licensing header to rules file. The file is essentially
    rewritten, permitting to relicense from GPL-3+ to GPL-2+.
  * Rewrite copyright to use DEP5 r54 proposed machine-readable format.
    Relax licensing of debian/* files.
  * Use local cdbs copyright-check.mk. Add copyright hints.
  * Bump policy compliancy to Standards Version 3.8.1.
  * Add symbolic link pinot-prefs.1.gz to pinot.1.gz, thanks to lintian.
  * Ignore private libraries, thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jun 2009 19:24:23 +0200

pinot (0.93-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
  * debian/patches/:
    - 00-fix_ltmain.sh.patch refreshed
    - 01-fix_desktop_files.patch removed
    - series updated

  [ Jonas Smedegaard ]
  * Adopt package.  Closes: bug#513940.
  * Add README.source documenting use of git-buildpackage and CDBS.
  * Package now Git-maintained: Update Vcs-* hints.
  * Renumber patch.
  * Resolve build-dependencies using CDBS, declared in debian/rules.
  * Use CDBS snippets for patch, build and install routines.
  * Add patch 1002 fixing FTBFS (include som headers). Closes:
    bug#527676, thanks to Bart Martens.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 May 2009 01:13:07 +0200

pinot (0.90-1) experimental; urgency=low

  * Orphaning package
  * New upstream release
  * debian/patches/:
    - 01-fix_gcc4.4.patch removed, fixed upstream
    - 01-fix_desktop_files.patch added, remove deprecated Encoding
      field

 -- David Paleino <d.paleino@gmail.com>  Mon, 02 Feb 2009 22:01:04 +0100

pinot (0.89-1) experimental; urgency=low

  * New upstream release
  * DM-Upload-Allowed set
  * debian/patches/:
    - 01-fix_gcc4.4.patch added, thanks to Martin Michlmayr
      (Closes: #504908)
  * debian/control:
    - Standards-Version bumped to 3.8.0 (no changes needed)
    - debhelper dependency bumped to >= 6.0.7~ (debian/compat updated)
  * debian/pinot.lintian-overrides added (the empty stopwords directory
    is intended)
  * debian/rules:
    - added dh_lintian to binary target

 -- David Paleino <d.paleino@gmail.com>  Sat, 08 Nov 2008 14:35:29 +0100

pinot (0.85-1) unstable; urgency=low

  * New upstream release
  * debian/patches/:
    - 01-fix_m4_inclusion.patch removed, applied upstream.
  * debian/control:
    - added Build-Depends on libexif-dev (>= 0.6)

 -- David Paleino <d.paleino@gmail.com>  Sat, 24 May 2008 11:15:42 +0200

pinot (0.84-1) unstable; urgency=low

  * New upstream release
  * debian/patches/:
    - 01-fix_linux-inotify-syscalls.h.patch removed, merged upstream.
    - 01-fix_m4_inclusion.patch added, to fix possible "Fail to build
      Twice in a Row" bug

 -- David Paleino <d.paleino@gmail.com>  Sat, 29 Mar 2008 17:54:14 +0100

pinot (0.83-2) unstable; urgency=low

  * debian/patches:
    - 01-fix_linux-inotify-syscalls.h added (thanks to Michael Biebl):
      it should build on m68k, mips, mipsel and hppa now.

 -- David Paleino <d.paleino@gmail.com>  Fri, 14 Mar 2008 20:19:26 +0100

pinot (0.83-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - short description for "pinot" improved: now it specifies that
      pinot can do web queries as well.
  * debian/patches:
    - 01-fix_pinot.desktop.patch removed (merged upstream)

 -- David Paleino <d.paleino@gmail.com>  Sat, 01 Mar 2008 18:58:14 +0100

pinot (0.82-1) unstable; urgency=low

  * Initial release (Closes: #446517)

 -- David Paleino <d.paleino@gmail.com>  Thu, 21 Feb 2008 09:09:44 +0100
